View Issue Details

IDCategoryLast Update
0006410bugs2016-03-08 02:12
ReporterjsAssigned To 
Reproducibilityalways 
Status feedbackResolutionreopened 
Product Version4.1 
Fixed in Version 
Summary0006410: USB Keyboard not working
DescriptionUSB keyboard is recognised by other programs on Ubuntu except for Ardour.
TagsNo tags attached.

Activities

x42

2015-07-02 12:57

administrator   ~0016827

a USB MIDI-keyboard?

if so please see http://manual.ardour.org/setting-up-your-system/setting-up-midi/midi-on-linux/ for use with JACK.

or when using the Ardour's/ALSA backend make sure to enable Midi System.

Could you please provide more information? Which keyboard model.. what configuration do you use for Ardour.

js

2015-07-03 07:43

reporter   ~0016834

cant get usb midi keyboard working according to the instructions

js

2015-07-04 02:27

reporter   ~0016836

keyboard is now working, thanks for your time.

What I did was this:
1. Installed a2jmidid
2. started Ardour
3. run a2jmidid
4. run QjackCtl and connect usb to midi through (didnt follow manual by setting midi to none or unselecting alsa sequencer)
5. go into Ardour Midi inputs and outputs and make sure green button is selected for each.

js

2015-07-07 12:00

reporter   ~0016849

Sorry, problem still not resolved. Tried to follow manual with no success and then tried just opening qjackctl with sound but not able to use keyboard.

Thankyou

x42

2015-07-30 20:53

administrator   ~0016978

Why MIDI thru? (that's some legacy alsa loopback)

run `a2jmidid -e` to get the hardware exposed directly, or use Ardour's ALSA backend (no jack).

Issue History

Date Modified Username Field Change
2015-07-02 11:52 js New Issue
2015-07-02 12:57 x42 Note Added: 0016827
2015-07-03 07:43 js Note Added: 0016834
2015-07-04 02:27 js Note Added: 0016836
2015-07-04 08:27 x42 Status new => resolved
2015-07-04 08:27 x42 Resolution open => no change required
2015-07-04 08:27 x42 Assigned To => x42
2015-07-07 12:00 js Note Added: 0016849
2015-07-07 12:00 js Status resolved => feedback
2015-07-07 12:00 js Resolution no change required => reopened
2015-07-30 20:53 x42 Note Added: 0016978
2016-03-08 02:12 x42 Assigned To x42 =>